package WebFlow.edys;

import WebFlow.event.*;
import WebFlow.*;

import java.util.*;
import org.omg.CORBA.*;

public class runCasc2dImp extends WebFlow.BeanContextChildSupport
    implements runCasc2dOperations {

String msg_;
org.omg.CORBA.Object peer;
PropertyChangeSupport pcs;
String lmsStatusFile;

public runCasc2dImp(org.omg.CORBA.Object peer, String msg)
   throws WebFlow.NullPointerException
  {
    super(peer);	
    msg_ = msg;    
    pcs = new PropertyChangeSupport(peer, this);
    this.peer = peer;
    lmsStatusFile = "/home/B8D/haupt/CASD2D/lms/lms_stat.dat";
  }

    public void runAgain(EdysDone EDevent) {
      String project = EDevent.getProject();
      try {
       Process p=Runtime.getRuntime().exec("/bin/touch "+lmsStatusFile);
       p.waitFor();
      }
      catch (Exception e){
        System.out.println("touch error: "+e.toString());
      } 
    }

    public void run(String project) {

     String command = "D:\\Casc2d\\wincasc17.exe";
     command = command + " D:\\Casc2d\\"+project+"\\"+project+".prj";
     command = "cmd /C "+command;
     System.out.println(command);
     
     try { 
     System.out.println(command+" start now");
     Process p = Runtime.getRuntime().exec(command);
     printProcessOut po = new printProcessOut(p);
     po.startProcess();
      p.waitFor();
      System.out.println("done!");
     }
     catch (Exception e) {System.out.println("EDYS Error: "+e.toString());}
      
     Casc2dDoneImp ev = new Casc2dDoneImp(peer,"http://whatever.com");
     pcs.fireEvent("done",ev);
    }  
}






